Name:           opencsg
Version:        1.3.1
Release:        4%{?dist}
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.opencsg.org/
Source0:        http://www.opencsg.org/OpenCSG-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt-devel, libXmu-devel, freeglut-devel, glew-devel

%description
OpenCSG is a library that does image-based CSG rendering using OpenGL.

CSG is short for Constructive Solid Geometry and denotes an approach to model
complex 3D-shapes using simpler ones. I.e., two shapes can be combined by
taking the union of them, by intersecting them, or by subtracting one shape
of the other. The most basic shapes, which are not result of such a CSG
operation, are called primitives. Primitives must be solid, i.e., they must
have a clearly defined interior and exterior. By construction, a CSG shape is
also solid then.

Image-based CSG rendering (also z-buffer CSG rendering) is a term that denotes
algorithms for rendering CSG shapes without an explicit calculation of the
geometric boundary of a CSG shape. Such algorithms use frame-buffer settings
of the graphics hardware, e.g., the depth and stencil buffer, to compose CSG
shapes. OpenCSG implements a variety of those algorithms, namely the
Goldfeather algorithm and the SCS algorithm, both of them in several variants.

%package devel
Summary: OpenCSG development files
Group: Development/Libraries
Requires: opencsg = %{version}-%{release}

%description devel
Development files for OpenCSG.

%prep
%setup -q -n OpenCSG-%{version}

rm ./src/Makefile ./RenderTexture/Makefile ./Makefile ./example/Makefile
# Use Fedora's glew
%{__rm} -rf glew/

%build
%{_qt4_qmake}
make -j1

%install
rm -rf %{buildroot}
# No make install
chmod g-w lib/*
%{__mkdir} -p %{buildroot}/%{_libdir}
%{__mkdir} -p %{buildroot}/%{_includedir}
%{__mv} lib/* %{buildroot}/%{_libdir}/
%{__mv} include/opencsg.h %{buildroot}/%{_includedir}/opencsg.h

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc changelog.txt index.html news.html publications.html 
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*so

%changelog
* Sat Feb 26 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-4
- Regenerate Makefiles to fix rpath and debuginfo-without-sources
- Use Fedora's glew instead of included copy
- Remove tab from .spec

* Mon Feb 21 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-3
- Add ldconfig to %%post and %%postun
- Fix rpath
- Fix library permissions

* Sun Feb 20 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-2
- Use qmake macro

* Sun Feb 20 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-1
- Add -devel package
- Add BuildRequires

* Fri Feb 18 2011 Jeff Moe <moe@alephobjects.com> - 1.3.1-0
- Initial spec

